Subject: 23.0.60; Info-dir-remove-duplicates fails to remove duplicates

From: "Joshua S." <[email-masked]>
Date: Wed, 03 Sep 2008 00:26:19 +0900

Hi,
I use NTEmacs with Cygwin, and something like this in my ~/.emacs.
     (setq Info-directory-list (list (expand-file-name "../info" 
data-directory) "c:/cygwin/usr/share/info"))
Then the Info Directory Node lists some duplicated items.

I did bellow patch to fix this. (You know, I am not a good Lisp programmer.)

Index: lisp/info.el
===================================================================
RCS file: /sources/emacs/emacs/lisp/info.el,v
retrieving revision 1.541
diff -u -d -w -r1.541 info.el
--- lisp/info.el    30 Aug 2008 20:16:36 -0000    1.541
+++ lisp/info.el    2 Sep 2008 15:05:54 -0000
@@ -1222,9 +1222,10 @@
            ;; Fold case straight away; `member-ignore-case' here wasteful.
            (let ((x (downcase (match-string 1))))
            (if (member x seen)
-              (delete-region (match-beginning 0)
+              (progn (delete-region (match-beginning 0)
                       (progn (re-search-forward "^[^ \t]" nil t)
                          (match-beginning 0)))
+                   (forward-line 0))
              (push x seen))))))))))

  ;; Note that on entry to this function the current-buffer must be the